Subject: Re: The state of ext4 tree merging (was Re: Linux 6.3-rc1)

From: Stephen Rothwell <[email-masked]>
Date: Wed, 8 Mar 2023 07:45:13 +1100

Hi Theodore,

On Tue, 7 Mar 2023 11:21:37 -0500 "Theodore Ts'o" <[email-masked]> wrote:

> What duplicate commits?  As far as I know there aren't any.  My normal
> practice is to send a secondary push to fix a few bug fixes targetted
> for upcoming release (in this case, 6.3), and then I'll reset to -rc2
> or -rc3 for patches that are targetted for the next merge window (in
> this case, 6.4).
> 
> The data=writeback patches was dropped from dev before the pull
> request, and won't show up on dev until they are ready for Linus.

Did you forget to push the dev branch out?  The version I have (and still see on git.kernel.org) has commit

  2c2dec1e86cc ("ext4: fix incorrect options show of original mount_opt and extend mount_opt2")

at its head, but what you sent to Linus has commit

  e3645d72f886 ("ext4: fix incorrect options show of original mount_opt and extend mount_opt2")

at its head.

-- 
Cheers,
Stephen Rothwell